Page MenuHomePhabricator

Lexeme merge error messages
Closed, ResolvedPublic

Description

Event Timeline

@Lydia_Pintscher We need error messages defined for the following cases:

  • the lexemes have different lemmas for the same spelling variant
  • the lexemes have different languages
  • the lexemes have different lexical categories

There are other errors that can appear but for those I'm going to assume that they should say the same as for items.

Pablo-WMDE renamed this task from Merge error messages to Lexeme merge error messages.Aug 23 2018, 2:04 PM
Pablo-WMDE assigned this task to Lydia_Pintscher.
Pablo-WMDE updated the task description. (Show Details)

They seem to all be covered in T198106. Or is anything missing that I overlooked?

Jakob_WMDE added a comment.EditedAug 23 2018, 3:09 PM

@Lydia_Pintscher there is one message missing for items as well: the message to be displayed when they link to each other in statements. It's currently hardcoded for items and says "'The two items cannot be merged because one of them links to the other using the properties: [comma separated list of properties]". Should the message stay like that? For lexemes it might make sense to mention that the link can also be in the form or sense statements.
Apparently I can't read. It's also already in the previously mentioned ticket.

Lydia_Pintscher removed Lydia_Pintscher as the assignee of this task.Aug 24 2018, 12:41 PM
Pablo-WMDE closed this task as Resolved.Aug 27 2018, 3:44 PM